summaryrefslogtreecommitdiffstats
path: root/libraries/ortp
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-13 00:59:01 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:01 +0200
commit0fed58e1fa80ee58c5de558ce7d511217a1356f4 (patch)
tree595b08a2f6f5f4b77f5a4dfe29783ba2e80bcc13 /libraries/ortp
parentc35e88da5f06e04a656823c216deb3d4104f3360 (diff)
downloadslackbuilds-0fed58e1fa80ee58c5de558ce7d511217a1356f4.tar.gz
slackbuilds-0fed58e1fa80ee58c5de558ce7d511217a1356f4.tar.xz
libraries/ortp: Added to 13.0 repository
Diffstat (limited to 'libraries/ortp')
-rw-r--r--libraries/ortp/README5
-rw-r--r--libraries/ortp/ortp.SlackBuild99
-rw-r--r--libraries/ortp/ortp.info10
-rw-r--r--libraries/ortp/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/ortp/README b/libraries/ortp/README
new file mode 100644
index 0000000000..93564ad2ea
--- /dev/null
+++ b/libraries/ortp/README
@@ -0,0 +1,5 @@
+Implement the RFC3550 (RTP) with a easy to use API with high and low
+level access. Includes support for multiples profiles, AV profile
+(RFC1890) being the one by default. Implements blocking and non
+blocking IO for RTP sessions.Supports part of RFC2833 for telephone
+events over RTP.
diff --git a/libraries/ortp/ortp.SlackBuild b/libraries/ortp/ortp.SlackBuild
new file mode 100644
index 0000000000..756f577f59
--- /dev/null
+++ b/libraries/ortp/ortp.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for ortp
+
+# Copyright 2009 David Somero (dsomero@hotmail.com) Athens,TN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=ortp
+VERSION=${VERSION:-0.16.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO\
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/ortp/ortp.info b/libraries/ortp/ortp.info
new file mode 100644
index 0000000000..62419d9aee
--- /dev/null
+++ b/libraries/ortp/ortp.info
@@ -0,0 +1,10 @@
+PRGNAM="ortp"
+VERSION="0.16.1"
+HOMEPAGE="http://www.linphone.org/index.php/eng/code_review/ortp"
+DOWNLOAD="http://mirror.its.uidaho.edu/pub/savannah/linphone/ortp/sources/ortp-0.16.1.tar.gz"
+MD5SUM="bc96cdcb9c139d366a720a94200f92dd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/libraries/ortp/slack-desc b/libraries/ortp/slack-desc
new file mode 100644
index 0000000000..ec29c6a2a2
--- /dev/null
+++ b/libraries/ortp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ortp: oRTP (A Real-time Transport Protocol stack under GPL)
+ortp:
+ortp: Implement the RFC3550 (RTP) with a easy to use API with high and low
+ortp: level access. Includes support for multiples profiles, AV profile
+ortp: (RFC1890) being the one by default. Implements blocking and non
+ortp: blocking IO for RTP sessions.Supports part of RFC2833 for telephone
+ortp: events over RTP.
+ortp:
+ortp: Homepage: http://www.linphone.org/index.php/eng/code_review/ortp
+ortp:
+ortp: